Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class OdeBootstrap

    java.lang.Object
      org.apache.ode.jbi.OdeBootstrap

All Implemented Interfaces:
  javax.jbi.component.Bootstrap

    public class OdeBootstrap

extends java.lang.Object
implements javax.jbi.component.Bootstrap

ODE Implementation of the JBI `Bootstrap` interface. This is just a place-holder, nothing gets done in the bootstrap at this point.

Constructor Summary
`OdeBootstrap()`

Method Summary
`void` | `cleanUp()` Cleans up any resources allocated by the bootstrap implementation, including deregistration of the extension MBean, if applicable.
`javax.management.ObjectName` | `getExtensionMBeanName()` Get the JMX ObjectName for the optional installation configuration MBean for this BPE.
`void` | `init(javax.jbi.component.InstallationContext installContext)` Called to initialize the BPE bootstrap.
`void` | `onInstall()` Called at the beginning of installation.
`void` | `onUninstall()` Called at the beginning of uninstallation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdeBootstrap

    public OdeBootstrap()

Method Detail

### cleanUp

    public void cleanUp()
                 throws javax.jbi.JBIException

  Cleans up any resources allocated by the bootstrap implementation, including deregistration of the extension MBean, if applicable. This method will be called after the onInstall() or onUninstall() method is called, whether it succeeds or fails.

  Specified by:
    `cleanUp` in interface `javax.jbi.component.Bootstrap`
  Throws:
    `javax.jbi.JBIException` - when cleanup processing fails to complete successfully.

### getExtensionMBeanName

    public javax.management.ObjectName getExtensionMBeanName()

  Get the JMX ObjectName for the optional installation configuration MBean for this BPE. If there is none, the value is null.

  Specified by:
    `getExtensionMBeanName` in interface `javax.jbi.component.Bootstrap`
  Returns:
    ObjectName the JMX object name of the installation configuration MBean or null if there is no MBean.

### init

    public void init(javax.jbi.component.InstallationContext installContext)
              throws javax.jbi.JBIException

  Called to initialize the BPE bootstrap.

  Specified by:
    `init` in interface `javax.jbi.component.Bootstrap`
  Parameters:
    `installContext` - is the context containing information from the install command and from the BPE jar file.
  Throws:
    `javax.jbi.JBIException` - when there is an error requiring that the installation be terminated.

### onInstall

    public void onInstall()
                   throws javax.jbi.JBIException

  Called at the beginning of installation.

  Specified by:
    `onInstall` in interface `javax.jbi.component.Bootstrap`
  Throws:
    `javax.jbi.JBIException` - when there is an error requiring that the installation be terminated.

### onUninstall

    public void onUninstall()
                     throws javax.jbi.JBIException

  Called at the beginning of uninstallation.

  Specified by:
    `onUninstall` in interface `javax.jbi.component.Bootstrap`
  Throws:
    `javax.jbi.JBIException` - when there is an error requiring that the uninstallation be terminated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD